IASL(1)

NAME
iasl - ACPI Source Language compiler/decompiler

SYNOPSIS
iasl [options] [input file]

DESCRIPTION
This manual page documents briefly the iasl command. The option list is taken from the iasl interactive help.

iasl is an ASL compiler and decompiler.

OPTIONS

  General Output

-p <prefix>
    Specify filename prefix for all output files (including .aml)

-vi Less verbose errors and warnings for use with IDEs

-vo Enable optimization comments

-vr Disable remarks

-vs Disable signon

  AML Output Files

-s<a|c>
    Create AML in assembler or C source file (*.asm or *.c)

-i<a|c>
    Create assembler or C include file (*.inc or *.h)

-t<a|c>
    Create AML in assembler or C hex table (*.hex)

  AML Code Generation

-oa Disable all optimizations (compatibility mode)

-of Disable constant folding

-oi Disable integer optimization to Zero/One/Ones

-on Disable named reference string optimization

-r<Revision>
    Override table header Revision (1-255)

  Listings

-l  Create mixed listing file (ASL source and AML) (*.lst)

-ln Create namespace file (*.nsp)

-ls Create combined source file (expanded includes) (*.src)

  AML Disassembler

-d [file]
    Disassemble AML to ASL source code file (*.dsl)

-dc [file]
    Disassemble AML and immediately compile it
    (Obtain DSDT from current system if no input file)

-e  Generate External() statements for unresolved symbols

-g  Get ACPI tables and write to files (*.dat)

  Miscellaneous

-a  Verify source file is entirely ASCII text (0x00-0x7F)

  Help

-h  Additional help and compiler debug options

-hc Display operators allowed in constant expressions

-hr Display ACPI reserved method names

AUTHOR
iasl was written by Robert Moore <robert.moore@intel.com>.

This manual page was written by Mattia Dongili <malattia@debian.org>, for the Debian project (but may be used by others).